# DataExchange
TKSTEP
StepAP203

# StepAP203_CcDesignSpecificationReference Class Reference

Representation of STEP entity CcDesignSpecificationReference
.

`#include <StepAP203_CcDesignSpecificationReference.hxx>`

Inheritance diagram for StepAP203_CcDesignSpecificationReference:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_CcDesignSpecificationReference ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Document)&aDocumentReference_AssignedDocument, const Handle(TCollection_HAsciiString)&aDocumentReference_Source, const Handle(StepAP203_HArray1OfSpecifiedItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfSpecifiedItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfSpecifiedItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfSpecifiedItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CcDesignSpecificationReference::StepAP203_CcDesignSpecificationReference | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_CcDesignSpecificationReference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DocumentReference.

Standard_EXPORT void StepAP203_CcDesignSpecificationReference::Init | ( | const Handle(StepBasic_Document)& | aDocumentReference_AssignedDocument,
|  | const Handle(TCollection_HAsciiString)& | aDocumentReference_Source,
|  | const Handle(StepAP203_HArray1OfSpecifiedItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfSpecifiedItem StepAP203_CcDesignSpecificationReference::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_CcDesignSpecificationReference::SetItems | ( | const Handle(StepAP203_HArray1OfSpecifiedItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfSpecifiedItem StepAP203_CcDesignSpecificationReference::theItems `[private]`

The documentation for this class was generated from the following file:

- StepAP203_CcDesignSpecificationReference.hxx